<?php

class CountUsersCron {

    private $logger;

    public function execute($params) {
        if (!is_array($params)) {
            $params = unserialize($params);
        }

        $db = PgManager::getInstance();

        $countUserLogIn = $db->select('users_status', 'count(*) as NumberUserLogin',"lastse > '".date('Y-m-d')."'", false, PGSQL_ASSOC);
        if (!isset($countUserLogIn[0])) {
            return FALSE;
        }
        $this->logMessage(sprintf(Translator::translate('Ilość zalogowanych użytkowników to %s'), $countUserLogIn[0]['NumberUserLogin']));

        return TRUE;
    }

    private function logMessage($message) {
        if ($this->logger) {
            $this->logger->write($message);
        }
    }
}